﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Terralever.Facebook.UI.Design
{
    /// <summary>
    /// Specifies the types of display modes supported in the designer.
    /// </summary>
    public enum DesignerDisplayMode
    {
        /// <summary>
        /// Specifies that the standard box should be displayed.
        /// </summary>
        Standard,
        /// <summary>
        /// Specifies that the passed-test version should be displayed.
        /// </summary>
        LogicTestPassed,
        /// <summary>
        /// Specifies that the failed-test version should be displayed.
        /// </summary>
        LogicTestFailed
    }

}
