﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Drawing;

namespace Terralever.Facebook.UI.FbmlControls
{
    /// <summary>
    /// Implements the FBML <c>&lt;fb:18-plus&gt;</c> logic gate control.  <see langword="sealed" />
    /// </summary>
    [ToolboxData("<{0}:Age18Plus runat=\"server\"></{0}:Age18Plus>")]
    public sealed class Age18Plus : MinimumAgeControl
    {
        /// <inheritdoc />
        protected internal override string ElementName
        {
            get { return FbmlConstants.FB_AGE_18_PLUS; }
        }
    }
}
