﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.IO;

namespace ControlRenderTests
{
    public static class ControlRenderer
    {
        public static string Render(Control control)
        {
            StringBuilder sb = new StringBuilder();
            using (Page p = new Page()) 
            using (StringWriter sw = new StringWriter(sb))
            using (HtmlTextWriter htw = new HtmlTextWriter(sw))
            {
                p.Controls.Add(control);

                control.RenderControl(htw);

                p.Controls.Remove(control);
            }

            return sb.ToString();
        }
    }
}
