﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Terralever.Facebook.UI.FbmlControls
{
    /// <summary>
    /// Specifies the type of bypass button to be used for a <see>MultiFriendSelector</see> control.
    /// </summary>
    public enum BypassButtonType
    {
        /// <summary>
        /// Specifies the "Skip This Step" button.
        /// </summary>
        Step,
        /// <summary>
        /// Specifies the "Cancel" button.
        /// </summary>
        Cancel,
        /// <summary>
        /// Specifies the "Skip" button.
        /// </summary>
        Skip,
    }
}
