﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Terralever.Facebook.UI.FbmlControls
{
    internal static class FbmlConstants
    {
        // attribute values
        public const string TRUE = "true";
        public const string FALSE = "false";
        public const string ON = "on";
        public const string OFF = "off";
        public const string ZERO = "0";
        public const string ONE = "1";

        // element names
        public const string FB_NAME = "fb:name";
        public const string FB_USER = "fb:user";
        public const string FB_PRONOUN = "fb:pronoun";
        public const string FB_GOOGLE_ANALYTICS = "fb:google-analytics";
        public const string FB_REQUEST_FORM = "fb:request-form";
        public const string FB_MULTI_FRIEND_SELECTOR = "fb:multi-friend-selector";
        public const string FB_AGE_18_PLUS = "fb:18-plus";
        public const string FB_AGE_21_PLUS = "fb:21-plus";
        public const string FB_ELSE = "fb:else";
        public const string FB_ERROR = "fb:error";
        public const string FB_SUCCESS = "fb:success";
        public const string FB_EXPLANATION = "fb:explanation";
        public const string FB_IFRAME = "fb:iframe";
        public const string FB_IS_IN_NETWORK = "fb:is-in-network";
        public const string FB_IF_CAN_SEE = "fb:if-can-see";
        public const string FB_IF_CAN_SEE_PHOTO = "fb:if-can-see-photo";
        public const string FB_IF_IS_APP_USER = "fb:if-is-app-user";
        public const string FB_IF_IS_FRIENDS_WITH_VIEWER = "fb:if-is-friends-with-viewer";
        public const string FB_IF_IS_GROUP_MEMBER = "fb:if-is-group-member";
        public const string FB_IF_IS_USER = "fb:if-is-user";
        public const string FB_USER_STATUS = "fb:user-status";
        public const string FB_RESTRICTED_TO = "fb:restricted-to";
        public const string FB_IF_SECTION_NOT_ADDED = "fb:if-section-not-added";

        public const string FB_REQ_CHOICE = "fb:req-choice";
        public const string FB_USER_AGENT = "fb:user-agent";

        // design attributes
        public const string FBML_REQD_ATTR = "FBML Required Attributes";
        public const string FBML_OPT_ATTR = "FBML Optional Attributes";
    }
}
